Package com.google.android.exoplayer2.source

## Interface ExtractorMediaSource.EventListener

- Enclosing class:
    ExtractorMediaSource

      @Deprecated
      public static interface ExtractorMediaSource.EventListener

  Deprecated.
  Use `MediaSourceEventListener` instead.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onLoadError​(IOException error)` | Deprecated. Called when an error occurs loading media data.

- - ### Method Detail

    - #### onLoadError

          void onLoadError​(IOException error)

      Deprecated.
      Called when an error occurs loading media data.

      This method being called does not indicate that playback has failed, or that it will fail. The player may be able to recover from the error and continue. Hence applications should not implement this method to display a user visible error or initiate an application level retry (`Player.EventListener.onPlayerError(com.google.android.exoplayer2.ExoPlaybackException)` is the appropriate place to implement such behavior). This method is called to provide the application with an opportunity to log the error if it wishes to do so.

      Parameters:
        `error` - The load error.